.wp-poll {
    max-width: 1120px;
    margin: 0 auto;
    padding: 90px 110px 130px;
    border: 1px solid #ffffff;
    border-radius: 20px;
    background: #000;
    color: #fff;

}

.wp-poll__subtitle {
    font-size: 16px;
    line-height: 120%;
    font-weight: bold;
    color: #FFDF00;
    margin-bottom: 20px;
}

.wp-poll__title {
    font-size: 60px;
    font-weight: 700;
    line-height: 1.1;
    margin-bottom: 130px;
}

.wp-poll__choices-wrapper {
    position: relative;
}

.wp-poll__results,
.wp-poll__choices {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 16px;
    min-height: 176px;
}
.wp-poll__choice {
    background: #fff;
    color: #111;
    border-radius: 12px;
    border: 0;
    padding: 18px 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
}

.wp-poll__label {
    text-align: left;
}

.wp-poll__text,
.wp-poll__choice {
    font-size: 20px;
    line-height: 1.1;
}

.wp-poll__dot {
    min-width: 28px;
    width: 28px;
    height: 28px;
    border: 1px solid #000000;
    border-radius: 999px;
    margin-left: 16px;
    background: #EFEFEF;
}

.wp-poll__choice:hover .wp-poll__dot{
    background: #ffeb00;
}

.wp-poll__thanks {
    color: #B4B4B4;
    font-size: 16px;
    position: absolute;
    top: -114px;
}

.wp-poll__bar {
    position: relative;
    flex: 1;
    background: #ECECEC;
    border-radius: 12px;
    overflow: hidden;
    color: #111;
    border: 0;
    padding: 18px 20px;
    height: 100%;
}

.wp-poll__fill {
    position: absolute;
    inset: 0 auto 0 0;
    background: #ffeb00;

}

.wp-poll__text {
    position: relative;
    z-index: 1;
    color: #111;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
}

.wp-poll__pct {
    width: 48px;
    text-align: right;
    font-weight: 700;
    margin-left: 16px;
}

.wp-poll__row.is-voted .wp-poll__bar {
    outline: 2px solid rgba(255, 230, 0, .35);
}

.wp-poll__thanks,
.wp-poll__results {
    display: none;
}

.wp-poll.is-results .wp-poll__choices {
    display: none;
}

.wp-poll.is-results .wp-poll__thanks {
    display: block;
}

.wp-poll.is-results .wp-poll__results {
    display: grid;
}

.wp-poll__loader[hidden]{
    display: none !important;
}

.wp-poll__loader {
    width: 100%;
    position: absolute;
    z-index: 10;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgb(0,0,0,80%);
}

.loader {
    width: 40px;
    height: 40px;
    border: 4px solid #fff;
    border-top-color: #FFDF00;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    to { transform: rotate(360deg); }
}

@media (max-width: 768px) {
    .wp-poll {
        padding: 30px !important;
    }

    .wp-poll__results,
    .wp-poll__choices {
        grid-template-columns:1fr;
    }

    .wp-poll__title {
        font-size: 28px;
        margin-bottom: 40px;
    }

    .wp-poll__text,
    .wp-poll__choice {
        font-size: 16px;
    }

    .wp-poll__dot {
        min-width: 18px;
        width: 18px;
        height: 18px;
    }


}

@media (max-width: 1023px) {
    .wp-poll__title {
        margin-bottom: 80px;
    }
    .wp-poll {
        padding: 80px;
    }

    .wp-poll__thanks {
        top: -55px;
    }
}